import { SyntaxDef, StringRegExp } from './types';
export declare const IDENT_RE = "[a-zA-Z]\\w*";
export declare const UNDERSCORE_IDENT_RE = "[a-zA-Z_]\\w*";
export declare const NUMBER_RE = "\\b\\d+(\\.\\d+)?";
export declare const C_NUMBER_RE = "(-?)(\\b0[xX][a-fA-F0-9]+|(\\b\\d+(\\.\\d*)?|\\.\\d+)([eE][-+]?\\d+)?)";
export declare const BINARY_NUMBER_RE = "\\b(0b[01]+)";
export declare const RE_STARTERS_RE = "!|!=|!==|%|%=|&|&&|&=|\\*|\\*=|\\+|\\+=|,|-|-=|/=|/|:|;|<<|<<=|<=|<|===|==|=|>>>=|>>=|>=|>>>|>>|>|\\?|\\[|\\{|\\(|\\^|\\^=|\\||\\|=|\\|\\||~";
export declare const BACKSLASH_ESCAPE: SyntaxDef;
export declare const APOS_STRING_MODE: SyntaxDef;
export declare const QUOTE_STRING_MODE: SyntaxDef;
export declare const PHRASAL_WORDS_MODE: SyntaxDef;
export declare function COMMENT(begin: StringRegExp, end?: StringRegExp, inherits?: SyntaxDef): SyntaxDef;
export declare const C_LINE_COMMENT_MODE: SyntaxDef;
export declare const C_BLOCK_COMMENT_MODE: SyntaxDef;
export declare const HASH_COMMENT_MODE: SyntaxDef;
export declare const NUMBER_MODE: SyntaxDef;
export declare const C_NUMBER_MODE: SyntaxDef;
export declare const BINARY_NUMBER_MODE: SyntaxDef;
export declare const CSS_NUMBER_MODE: SyntaxDef;
export declare const REGEXP_MODE: SyntaxDef;
export declare const TITLE_MODE: SyntaxDef;
export declare const UNDERSCORE_TITLE_MODE: SyntaxDef;
export declare const METHOD_GUARD: SyntaxDef;
