"use strict";
/*
Language: JSON
Author: Ivan Sagalaev <maniac@softwaremaniacs.org>
Category: common, protocols
*/
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var common_1 = require("../common");
var LITERALS = { literal: 'true false null' };
var TYPES = [
    common_1.QUOTE_STRING_MODE,
    common_1.C_NUMBER_MODE
];
var VALUE_CONTAINER = {
    end: ',', endsWithParent: true, excludeEnd: true,
    contains: TYPES,
    keywords: LITERALS
};
var OBJECT = {
    begin: '{', end: '}',
    contains: [
        {
            className: 'attr',
            begin: /"/, end: /"/,
            contains: [common_1.BACKSLASH_ESCAPE],
            illegal: '\\n',
        },
        tslib_1.__assign({}, VALUE_CONTAINER, { begin: /:/ })
    ],
    illegal: '\\S'
};
var ARRAY = {
    begin: '\\[', end: '\\]',
    contains: [tslib_1.__assign({}, VALUE_CONTAINER)],
    illegal: '\\S'
};
TYPES.splice(TYPES.length, 0, OBJECT, ARRAY);
exports.JSON = {
    name: 'json',
    contains: TYPES,
    keywords: LITERALS,
    illegal: '\\S'
};
//# sourceMappingURL=json.js.map