"use strict";
/*
Language: Nix
Author: Domen Kožar <domen@dev.si>
Description: Nix functional language. See http://nixos.org/nix
*/
Object.defineProperty(exports, "__esModule", { value: true });
var common_1 = require("../common");
var NIX_KEYWORDS = {
    keyword: 'rec with let in inherit assert if else then',
    literal: 'true false or and null',
    built_in: 'import abort baseNameOf dirOf isNull builtins map removeAttrs throw ' +
        'toString derivation'
};
var ANTIQUOTE = {
    className: 'subst',
    begin: /\$\{/,
    end: /}/,
    keywords: NIX_KEYWORDS
};
var ATTRS = {
    begin: /[a-zA-Z0-9-_]+(\s*=)/, returnBegin: true,
    relevance: 0,
    contains: [
        {
            className: 'attr',
            begin: /\S+/
        }
    ]
};
var STRING = {
    className: 'string',
    contains: [ANTIQUOTE],
    variants: [
        { begin: "''", end: "''" },
        { begin: '"', end: '"' }
    ]
};
var EXPRESSIONS = [
    common_1.NUMBER_MODE,
    common_1.HASH_COMMENT_MODE,
    common_1.C_BLOCK_COMMENT_MODE,
    STRING,
    ATTRS
];
ANTIQUOTE.contains = EXPRESSIONS;
exports.Nix = {
    name: 'nix',
    aliases: ["nixos"],
    keywords: NIX_KEYWORDS,
    contains: EXPRESSIONS
};
//# sourceMappingURL=nix.js.map